#------------------------------------------------------------------------
# Ubuntu - focal fossa (20.04)
#------------------------------------------------------------------------
#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
# Ubuntu 20.04 - default
#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
.image-ubuntu_2004:
  image: ubuntu:20.04

.ubuntu_2004:common:
  extends:
    - .image-ubuntu_2004
    - .only-ci

.ubuntu_2004_deb_build_cmake_package:
  variables:
    DEB_EXCLUDE_PATTERN: '^(libboost.*1.67.*|python|python(2|)|python(2|)-dev|python(2|)-numpy)$'
  extends:
    - .ubuntu_2004:common
    - .deb_build_cmake_package

ubuntu_2004:igwn_cmake:
  variables:
    DEB_REMOTE_PACKAGE_REPO: ${REMOTE_PACKAGE_HOST}/igwn-cmake/local-release-ubuntu2004/all/igwn-cmake-macros_${IGWN_CMAKE_VERSION}-1_all.deb
  extends:
    - .ubuntu_2004:common
    - .deb-localize-repo
    - .stage-igwn-cmake

ubuntu_2004:ldastools_cmake:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-ldastools-cmake
  needs:
    - ubuntu_2004:igwn_cmake

ubuntu_2004:ldastoolsal:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-ldastoolsal
  needs:
    - ubuntu_2004:ldastools_cmake
    - ubuntu_2004:igwn_cmake

ubuntu_2004:ldastoolsal-swig:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-ldastoolsal-swig
  needs:
    - ubuntu_2004:ldastoolsal
    - ubuntu_2004:ldastools_cmake
    - ubuntu_2004:igwn_cmake

ubuntu_2004:filters:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-filters
  needs:
    - ubuntu_2004:ldastoolsal
    - ubuntu_2004:ldastools_cmake
    - ubuntu_2004:igwn_cmake

ubuntu_2004:framecpp:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-framecpp
  needs:
    - ubuntu_2004:ldastoolsal
    - ubuntu_2004:ldastools_cmake

.ubuntu_2004:framecpp-swig:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-framecpp-swig
  needs:
    - ubuntu_2004:ldastoolsal-swig
    - ubuntu_2004:ldastoolsal
    - ubuntu_2004:framecpp
    - ubuntu_2004:ldastools_cmake
    - ubuntu_2004:igwn_cmake

ubuntu_2004:ldasgen:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-ldasgen
  needs:
    - ubuntu_2004:ldastoolsal
    - ubuntu_2004:ldastools_cmake
    - ubuntu_2004:igwn_cmake

ubuntu_2004:ldasgen-swig:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-ldasgen-swig
  needs:
    - ubuntu_2004:ldasgen
    - ubuntu_2004:ldastoolsal-swig
    - ubuntu_2004:ldastoolsal
    - ubuntu_2004:ldastools_cmake
    - ubuntu_2004:igwn_cmake

ubuntu_2004:diskcache:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-diskcache
  needs:
    - ubuntu_2004:ldasgen
    - ubuntu_2004:ldastoolsal
    - ubuntu_2004:ldastools_cmake
    - ubuntu_2004:igwn_cmake

ubuntu_2004:diskcache-swig:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-diskcache-swig
  needs:
    - ubuntu_2004:diskcache
    - ubuntu_2004:ldasgen-swig
    - ubuntu_2004:ldasgen
    - ubuntu_2004:ldastoolsal-swig
    - ubuntu_2004:ldastoolsal
    - ubuntu_2004:ldastools_cmake
    - ubuntu_2004:igwn_cmake

ubuntu_2004:frameutils:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-frameutils
  needs:
    - ubuntu_2004:ldasgen
    - ubuntu_2004:filters
    - ubuntu_2004:framecpp
    - ubuntu_2004:ldastoolsal
    - ubuntu_2004:ldastools_cmake
    - ubuntu_2004:igwn_cmake

.ubuntu_2004:frameutils-swig:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-frameutils-swig
  needs:
    - ubuntu_2004:frameutils
    - ubuntu_2004:ldasgen-swig
    - ubuntu_2004:ldasgen
    - ubuntu_2004:framecpp-swig
    - ubuntu_2004:framecpp
    - ubuntu_2004:ldastoolsal-swig
    - ubuntu_2004:ldastoolsal
    - ubuntu_2004:ldastools_cmake
    - ubuntu_2004:igwn_cmake

ubuntu_2004:utilities:
  extends:
    - .ubuntu_2004_deb_build_cmake_package
    - .setup-utilities
  needs:
    - ubuntu_2004:diskcache
    - ubuntu_2004:frameutils
    - ubuntu_2004:ldasgen
    - ubuntu_2004:filters
    - ubuntu_2004:framecpp
    - ubuntu_2004:ldastoolsal
    - ubuntu_2004:ldastools_cmake
    - ubuntu_2004:igwn_cmake

